<template>
    <div>
        <div class="holder">
            <div class="alert">
                <div class="alert-a">
                    If you already know how to use CyanPrint and are looking for tutorial on how to create your own
                    template,
                    please head over to our
                    <router-link class="link" to="/tutorial/create/start">create a CyanPrint template tutorial
                    </router-link>
                    instead!
                </div>
            </div>
            <div class="markdown-body">
                <GetStarted1></GetStarted1>
                <div class="ss">
                    <Pic type="h" :relative="true" :src="ss1"></Pic>
                </div>
                <GetStarted2></GetStarted2>
                <div class="ss">
                    <Pic type="h" :relative="true" :src="ss2"></Pic>
                </div>
                <GetStarted3></GetStarted3>
                <div class="ss">
                    <Pic type="h" :relative="true" :src="ss3"></Pic>
                </div>
                <GetStarted4></GetStarted4>
            </div>
        </div>
    </div>
</template>

<style lang='scss' scoped>
    .ss {
        height: 200px;
        margin-bottom: 10px;
    }

    .center {
        position: relative;
        left: 50%;
        transform: translateX(-50%);
    }
    .holder {
        display: block;
        padding: 30px;
        font-family: Roboto, sans-serif;
        width: 800px;
        box-sizing: border-box;
        @extend .center;
    }

    .link {
        color: #5dacbd;
        text-decoration: underline;
    }

    .alert {
        @extend .center;
        width: 100%;
        font-size: 18px;
        text-align: center;
        background: #eeeeee;
        border: 1px solid #eeeeee;
        border-radius: 10px;
        box-sizing: border-box;
        padding: 20px;

        .alert-a {
            box-sizing: border-box;
            width: 500px;
            @extend .center;
        }
    }
</style>

<script lang='ts'>
	import {Component, Vue} from 'vue-property-decorator';
	import GetStarted1 from './GetStarted_1.md';
	import GetStarted2 from './GetStarted_2.md';
	import GetStarted3 from './GetStarted_3.md';
	import GetStarted4 from './GetStarted_4.md';
	import Pic from "../../../components/Pic.vue";
	import {images} from "../../../images";

	@Component({
		components: {Pic, GetStarted1, GetStarted2, GetStarted3, GetStarted4}
	})
	export default class UseStart extends Vue {
		data() {
			return {
				ss1: images.tutorial.use.ss1,
				ss2: images.tutorial.use.ss2,
				ss3: images.tutorial.use.ss3
			}
		}
	}
</script>
